Kodi Krypton 17.4

Technical issues/questions of an intermediate or advanced nature.
Post Reply
rchase
Samurai
Samurai
Posts: 158
Joined: 10 Jan 2016, 17:26
Distribution: Porteus 3.2.2 xfce x64
Location: Denver, Colorado

Kodi Krypton 17.4

Post#1 by rchase » 22 Sep 2017, 20:29

Kodi Krypton 17.4 is available through USM, but downloading it and the dependencies identified by USM and merging the packages does not produce a functioning module. Donald's module for 17.3 did execute (but didn't seem to work properly), but I don't understand the issues involved -- isn't USM supposed to resolve dependencies? What should I do to troubleshoot the process -- look up the package's dependencies, download them individually, and merge them?
Last edited by rchase on 26 Sep 2017, 22:20, edited 1 time in total.

User avatar
Ed_P
Contributor
Contributor
Posts: 3422
Joined: 06 Feb 2013, 22:12
Distribution: Cinnamon 3.2.2 64-bit ISO
Location: Western NY, USA

Kodi Krypton 17.4

Post#2 by Ed_P » 22 Sep 2017, 22:09

There are multiple packages required for Kodi which ones did you select?

Code: Select all

root@porteus:/home/guest# usm -g Kodi Krypton

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) kodi-16.1-x86_64-1gv.txz
2) kodi-17.4-x86_64-1_slonly.txz
#? 2

Processing:   kodi-17.4-x86_64-1_slonly.txz 
Ignored libraries: 

Libraries required:  71
Libraries found in system: 65
Libraries to resolve: 6

Processing library: libavahi-client.so.3

 More than one package contains:  libavahi-client.so.3
onlyoffice-desktopeditors-4.4.1.338-x86_64-1_slonly.txz  153256K  slackonly
avahi-0.6.32-x86_64-1dj.txz                              398K     salix

 The following items were found.
 Choose an number to confirm. 
 ctrl+c to quit

1) onlyoffice-desktopeditors-4.4.1.338-x86_64-1_slonly.txz
2) avahi-0.6.32-x86_64-1dj.txz
#? 2
Processing library: libavahi-common.so.3
Processing library: libcrossguid.so.0
Processing library: libmicrohttpd.so.12
Processing library: libtinyxml.so.0
Processing library: libyajl.so.2


Processing:   avahi-0.6.32-x86_64-1dj.txz 
Ignored libraries: 

Libraries required:  36
Libraries found in system: 31
Libraries to resolve: 5

Processing library: libavahi-client.so.3
Processing library: libavahi-common.so.3
Processing library: libavahi-core.so.7
Processing library: libavahi-glib.so.1
Processing library: libavahi-ui-gtk3.so.0

 :
 :
 :  

 The following packages are required. 
avahi-0.6.32-x86_64-1dj.txz [398K] [not installed]
crossguid-20160705-x86_64-2_slonly.txz [12K] [not installed]
kodi-17.4-x86_64-1_slonly.txz [33548K] [not installed]
libmicrohttpd-0.9.55-x86_64-1_slonly.txz [212K] [not installed]
tinyxml-2.6.2-x86_64-2ponce.txz [56K] [not installed]
yajl-2.1.0-x86_64-2ponce.txz [40K] [not installed]

Total size: 34 MB
Ed

donald
Full of knowledge
Full of knowledge
Posts: 1247
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Kodi Krypton 17.4

Post#3 by donald » 23 Sep 2017, 01:49

@rchase
Can you please describe what doesn't work?

beny
Full of knowledge
Full of knowledge
Posts: 733
Joined: 02 Jan 2011, 11:33
Location: italy

Kodi Krypton 17.4

Post#4 by beny » 23 Sep 2017, 11:21

mariadb,openjre.swig,tinyxml, yail,libmicrohttpd,gperf,crossguid,and kodi. I have installed sbopkg into porteus and for kodi i have all this packages to build first,but kodi work like a charm.ps: i have changed the kernel and the crippled_source thanks to neko with the 4.13.3 version.

rchase
Samurai
Samurai
Posts: 158
Joined: 10 Jan 2016, 17:26
Distribution: Porteus 3.2.2 xfce x64
Location: Denver, Colorado

Kodi Krypton 17.4

Post#5 by rchase » 27 Sep 2017, 01:15

Donald, my mistake; your 17.3 module does work. beny, if I merge the packages you list, will I have a functioning kodi module? I started downloading them manually, but there doesn't appear to be a package named "yail". Your postscript is unintelligible to me -- does this have anything to do with kodi?

beny
Full of knowledge
Full of knowledge
Posts: 733
Joined: 02 Jan 2011, 11:33
Location: italy

Kodi Krypton 17.4

Post#6 by beny » 27 Sep 2017, 08:46

/kodi/yajl-2.1.0-x86_64-2_SBo.xzm

donald
Full of knowledge
Full of knowledge
Posts: 1247
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Kodi Krypton 17.4

Post#7 by donald » 27 Sep 2017, 09:43

@ rchase
rchase wrote:
27 Sep 2017, 01:15
Donald, my mistake; your 17.3 module does work.
Thanks!

As a start point, you could call this command to get a list of packages i had to include.

Code: Select all

guest@porteus:~/Test$ lsxzm kodi-17.3-x86_64-bundle-don.xzm | grep '/var/log/packages/*'

rchase
Samurai
Samurai
Posts: 158
Joined: 10 Jan 2016, 17:26
Distribution: Porteus 3.2.2 xfce x64
Location: Denver, Colorado

Kodi Krypton 17.4

Post#8 by rchase » 28 Sep 2017, 04:04

Ed, sorry for not responding -- I don't recall which packages I chose through the USM dialogs.

OK

Code: Select all

lsxzm 9-kodi-17.3-x86_64-bundle-don.xzm | grep '/var/log/packages/*'
/var/log/packages/crossguid-20160705-x86_64-1_slonly
/var/log/packages/jemalloc-3.6.0-x86_64-1
/var/log/packages/judy-1.0.5-x86_64-1
/var/log/packages/kodi-17.3-x86_64-1_slonly
/var/log/packages/libmicrohttpd-0.9.42-x86_64-1_slonly
/var/log/packages/libunistring-0.9.3-x86_64-1
/var/log/packages/mariadb-10.0.30-x86_64-1_slack14.2
/var/log/packages/python-2.7.13-x86_64-2_slack14.2
/var/log/packages/tcl-8.6.5-x86_64-2
/var/log/packages/tinyxml-2.6.2-x86_64-2ponce
/var/log/packages/tk-8.6.5-x86_64-2
/var/log/packages/yajl-2.1.0-x86_64-2ponce
I downloaded those packages (not from those specific repositories, but most recent x86_64 ones with those specific names) and converted and merged them into a kodi bundle 101MB in size and activated it upon reboot; nothing happens when I click the kodi icon. I also tried downloading the list of packages beny supplied; this produced a 134.5MB bundle which also would not run when activated. From the terminal I get the error message: "error while loading shared libraries: libavahi-client.so.3: cannot open shared object file: No such file or directory". There's a "libavahi-client" for Debian -- should I try to convert it and merge it in too?
Last edited by rchase on 28 Sep 2017, 17:34, edited 1 time in total.

donald
Full of knowledge
Full of knowledge
Posts: 1247
Joined: 17 Jun 2013, 13:17
Distribution: Porteus 3.2.2 XFCE 32bit
Location: Germany

Kodi Krypton 17.4

Post#9 by donald » 28 Sep 2017, 13:24

You can build kodi 17.4 via USM
Note - do not select different/newer versions, usm will not continue.
select the following packages:

Code: Select all

avahi-0.6.32-x86_64-1dj.txz
copasi-4.20.158-x86_64-1_slonly.txz
crossguid-20160705-x86_64-2_slonly.txz
jemalloc-3.6.0-x86_64-1.txz
judy-1.0.5-x86_64-1.txz
kodi-17.4-x86_64-1_slonly.txz
libmicrohttpd-0.9.55-x86_64-1_slonly.txz
libunistring-0.9.3-x86_64-1.txz
mariadb-10.0.26-x86_64-1.txz
python-2.7.11-x86_64-2.txz
tcl-8.6.5-x86_64-2.txz
tinyxml-2.6.2-x86_64-2ponce.txz
tk-8.6.5-x86_64-2.txz
yajl-2.1.0-x86_64-2ponce.txz
Downside - you get a big module ~ 132MB

I did it a different (lazy) way.
I took the packages (which i already have) from the 17.3 build,
replaced kodi 17.3 with 17.4, added the avahi-0.6.32-x86_64-1dj.txz package
and replaced libmicrohttpd-0.9.42 with libmicrohttpd-0.9.55-x86_64-1_slonly.txz

module size ~ 102MB and it runs in XFCE always fresh...

EDIT
The lazy way:
extract the 17.3 module into /tmp/kodi
(Extracting the module in /tmp creates a folder named like the module.)
Shorten it to kodi

place
avahi-0.6.32-x86_64-1dj.txz
kodi-17.4-x86_64-1_slonly.txz
libmicrohttpd-0.9.55-x86_64-1_slonly.txz
into the same folder

Code: Select all

root@porteus:/tmp/kodi# ROOT=/tmp/kodi installpkg avahi-0.6.32-x86_64-1dj.txz
..............
root@porteus:/tmp/kodi# ROOT=/tmp/kodi upgradepkg kodi-17.4-x86_64-1_slonly.txz
..............
root@porteus:/tmp/kodi# ROOT=/tmp/kodi upgradepkg libmicrohttpd-0.9.55-x86_64-1_slonly.txz
..............
root@porteus:/tmp/kodi# rm avahi* kodi* libm*
..............
root@porteus:/tmp/kodi# dir2xzm /tmp/kodi /tmp/kodi_17.4.xzm

Post Reply